MAKE_BED.PY(1)

NAME
make_bed.py - find methylation in nanopore reads

DESCRIPTION
/usr/lib/python3/dist-packages/joblib/_multiprocessing_helpers.py:53: UserWarning: [Errno 13] Permission denied. joblib will operate in serial mode

warnings.warn('%s.
    joblib will operate in serial mode' % (e,))

usage: make_bed.py [-h] [-d MIN_READ_DEPTH] [-t MOD_THRESHOLD] -f MCALLER_FILE

    [-p POSITIONS] [--control] [--gff] [--ref REF] [--plot] [--plotsummary] [--plotdir PLOTDIR] [--vo] [-v]

Produce bed file of methylated positions based on mCaller output

  optional arguments:

-h, --help
    show this help message and exit

-d MIN_READ_DEPTH, --min_read_depth MIN_READ_DEPTH
    minimum coverage of position to determine methylation (default = 15)

-t MOD_THRESHOLD, --mod_threshold MOD_THRESHOLD
    minimum fraction of observations with probability of methylation >=50% at a position to include in report (default = 0.5)

-f MCALLER_FILE, --mCaller_file MCALLER_FILE
    the output file from mCaller to summarize

-p POSITIONS, --positions POSITIONS
    ~bed file of positions for which to calculate % of methylated reads (chromosome,start,end,strand); ignores other thresholds

--control
    take unmethylated positions as a control for motif detection

--gff
    output PacBio-style gff instead of bed ("identificationQv" score will be average probability of methylation)

--ref REF
    use reference fasta to output longer contexts surrounding a base, from -20 to +20

--plot
    plot currents deviations at the positions included (not recommended for many positions)

--plotsummary
    plot currents deviations summarized across the positions included

--plotdir PLOTDIR
    output directory for plots, default=mCaller_position_plots

--vo
    verbose output including probabilities for each position

-v, --version
    print version